#
# Conditional build
%bcond_with	verbose	# verbose build (V=1)
%bcond_without	qt	# disable GUI build (Qt4 deps)
#
Summary:	Matroska video utilities
Summary(pl.UTF-8):	Narzędzia do filmów w formacie Matroska
Name:		mkvtoolnix
Version:	29.0.0
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
Source0:	https://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.xz
# Source0-md5:	f252db8c5c43588677f9bd4d337de3de
Patch0:		%{name}-init_locales.patch
URL:		https://www.bunkus.org/videotools/mkvtoolnix/
%if %{with qt}
BuildRequires:	Qt5Concurrent-devel >= 5.3.0
BuildRequires:	Qt5Gui-devel >= 5.3.0
BuildRequires:	Qt5Multimedia-devel >= 5.3.0
BuildRequires:	cmark-devel
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5.3.0
BuildRequires:	qt5-linguist >= 5.3.0
%endif
BuildRequires:	autoconf
BuildRequires:	boost-devel >= 1.49.0
BuildRequires:	bzip2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	flac-devel
BuildRequires:	gettext-tools
BuildRequires:	libebml-devel >= 1.3.5
BuildRequires:	libmagic-devel
BuildRequires:	libmatroska-devel >= 1.4.8
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	po4a
BuildRequires:	pugixml-devel
BuildRequires:	ruby-modules
BuildRequires:	ruby-rake
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska video utilities.

%description -l pl.UTF-8
Narzędzia do filmów w formacie Matroska.

%package gui
Summary:	Qt GUI for mkvmerge including a chapter and a header editor
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gui
Qt GUI for mkvmerge including a chapter and a header editor.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	%{?with_qt:LCONVERT=/usr/bin/lconvert-qt5} \
	--docdir=%{_datadir}/%{name} \
	--%{?with_qt:en}%{!?with_qt:dis}able-qt \
	%{?with_qt:--with-moc=/usr/bin/moc-qt5} \
	%{?with_qt:--with-uic=/usr/bin/uic-qt5} \
	--with-docbook-xsl-root=/usr/share/sgml/docbook/xsl-stylesheets

LC_ALL="C.UTF-8" rake %{?_smp_mflags} %{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT

LC_ALL="C.UTF-8" rake install \
	INSTALL="install -cp" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/sr_RS{,@latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md NEWS.md
%attr(755,root,root) %{_bindir}/mkvmerge
%attr(755,root,root) %{_bindir}/mkvextract
%attr(755,root,root) %{_bindir}/mkvpropedit
%{_mandir}/man1/mkvmerge.1*
%{_mandir}/man1/mkvextract.1*
%{_mandir}/man1/mkvpropedit.1*
%lang(ca) %{_mandir}/ca/man1/mkvmerge.1*
%lang(ca) %{_mandir}/ca/man1/mkvextract.1*
%lang(ca) %{_mandir}/ca/man1/mkvpropedit.1*
%lang(de) %{_mandir}/de/man1/mkvmerge.1*
%lang(de) %{_mandir}/de/man1/mkvextract.1*
%lang(de) %{_mandir}/de/man1/mkvpropedit.1*
%lang(es) %{_mandir}/es/man1/mkvmerge.1*
%lang(es) %{_mandir}/es/man1/mkvextract.1*
%lang(es) %{_mandir}/es/man1/mkvpropedit.1*
%lang(ja) %{_mandir}/ja/man1/mkvmerge.1*
%lang(ja) %{_mandir}/ja/man1/mkvextract.1*
%lang(ja) %{_mandir}/ja/man1/mkvpropedit.1*
%lang(ko) %{_mandir}/ko/man1/mkvmerge.1*
%lang(ko) %{_mandir}/ko/man1/mkvextract.1*
%lang(ko) %{_mandir}/ko/man1/mkvpropedit.1*
%lang(nl) %{_mandir}/nl/man1/mkvmerge.1*
%lang(nl) %{_mandir}/nl/man1/mkvextract.1*
%lang(nl) %{_mandir}/nl/man1/mkvpropedit.1*
%lang(pl) %{_mandir}/pl/man1/mkvmerge.1*
%lang(pl) %{_mandir}/pl/man1/mkvextract.1*
%lang(pl) %{_mandir}/pl/man1/mkvpropedit.1*
%lang(uk) %{_mandir}/uk/man1/mkvmerge.1*
%lang(uk) %{_mandir}/uk/man1/mkvextract.1*
%lang(uk) %{_mandir}/uk/man1/mkvpropedit.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvmerge.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvextract.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvpropedit.1*

%if %{without qt}
%attr(755,root,root) %{_bindir}/mkvinfo
%{_mandir}/man1/mkvinfo.1*
%lang(ca) %{_mandir}/ca/man1/mkvinfo.1*
%lang(de) %{_mandir}/de/man1/mkvinfo.1*
%lang(es) %{_mandir}/es/man1/mkvinfo.1*
%lang(ja) %{_mandir}/ja/man1/mkvinfo.1*
%lang(ko) %{_mandir}/ko/man1/mkvinfo.1*
%lang(nl) %{_mandir}/nl/man1/mkvinfo.1*
%lang(pl) %{_mandir}/pl/man1/mkvinfo.1*
%lang(uk) %{_mandir}/uk/man1/mkvinfo.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvinfo.1*
%endif

%if %{with qt}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkvinfo
%attr(755,root,root) %{_bindir}/mkvtoolnix-gui
%dir %{_datadir}/mkvtoolnix
%dir %{_datadir}/mkvtoolnix/sounds
%{_datadir}/mkvtoolnix/sounds/finished-1.ogg
%{_datadir}/mkvtoolnix/sounds/finished-2.ogg
%{_datadir}/mkvtoolnix/sounds/finished-3.ogg
%{_datadir}/metainfo/org.bunkus.mkvtoolnix-gui.appdata.xml
%{_datadir}/mime/packages/org.bunkus.mkvtoolnix-gui.xml
%{_desktopdir}/org.bunkus.mkvtoolnix-gui.desktop
%{_iconsdir}/hicolor/*/apps/mkvextract.png
%{_iconsdir}/hicolor/*/apps/mkvinfo.png
%{_iconsdir}/hicolor/*/apps/mkvmerge.png
%{_iconsdir}/hicolor/*/apps/mkvtoolnix-gui.png
%{_iconsdir}/hicolor/*/apps/mkvpropedit.png
%{_mandir}/man1/mkvinfo.1*
%{_mandir}/man1/mkvtoolnix-gui.1*
%lang(ca) %{_mandir}/ca/man1/mkvinfo.1*
%lang(ca) %{_mandir}/ca/man1/mkvtoolnix-gui.1*
%lang(de) %{_mandir}/de/man1/mkvinfo.1*
%lang(de) %{_mandir}/de/man1/mkvtoolnix-gui.1*
%lang(es) %{_mandir}/es/man1/mkvinfo.1*
%lang(es) %{_mandir}/es/man1/mkvtoolnix-gui.1*
%lang(ja) %{_mandir}/ja/man1/mkvinfo.1*
%lang(ja) %{_mandir}/ja/man1/mkvtoolnix-gui.1*
%lang(ko) %{_mandir}/ko/man1/mkvinfo.1*
%lang(ko) %{_mandir}/ko/man1/mkvtoolnix-gui.1*
%lang(nl) %{_mandir}/nl/man1/mkvinfo.1*
%lang(nl) %{_mandir}/nl/man1/mkvtoolnix-gui.1*
%lang(pl) %{_mandir}/pl/man1/mkvinfo.1*
%lang(pl) %{_mandir}/pl/man1/mkvtoolnix-gui.1*
%lang(uk) %{_mandir}/uk/man1/mkvinfo.1*
%lang(uk) %{_mandir}/uk/man1/mkvtoolnix-gui.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvinfo.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvtoolnix-gui.1*
%endif
%changelog
* Sun Dec 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mkvtoolnix.git;a=log;h=master

* Sun Dec 02 2018 Adam Gołębiowski <adamg@pld-linux.org> 1a25356
- updated to 29.0.0

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> af200d9
- updated to 28.2.0

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> f4d289b
- updated to 28.1.0

* Sun Oct 21 2018 Adam Gołębiowski <adamg@pld-linux.org> d70c6d9
- updated to 28.0.0

* Tue Oct 09 2018 Jan Rękorajski <baggins@pld-linux.org> fb0ace5
- up to 27.0.0

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 278e21d
- mkvinfo is build with gui support if compiled with qt

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 29bdf93
- added gui subpackage

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 82f15d9
- boost autodetection works

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 73e01a6
- up to 20.0.0
- refreshed deps

* Tue Jul 25 2017 Jan Rękorajski <baggins@pld-linux.org> 36af1b5
- up to 14.0.0

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> aea2a41
- rebuild with boost 1.63.0
- release 3 (by relup.sh)

* Fri Apr 07 2017 Jan Rękorajski <baggins@pld-linux.org> 03cddc6
- rel 2

* Fri Apr 07 2017 Jan Rękorajski <baggins@pld-linux.org> 53ebd69
- updated BRs

* Fri Apr 07 2017 Jan Rękorajski <baggins@pld-linux.org> 61dd602
- up to 10.0.0

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> 04bac1b
- remove unsupported local
- rel 2

* Fri May 27 2016 Jan Rękorajski <baggins@pld-linux.org> 8e95c12
- updated to 9.1.0

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 30d9f0f
- release 2 (by relup.sh)

* Fri Jun 19 2015 Jan Rękorajski <baggins@pld-linux.org> 5f26472
- updated files

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> 6580563
- ruby is pathetic, really pathetic

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> bdac4d6
- apply x32 patch

